Draft: Copie su punti

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft PointArray and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano • ‎română • ‎Türkçe
Arrow-left.svg Draft PathArray.svg Copie su tracciato Pagina precedente:
Pagina successiva: Clona Draft Clone.svg Arrow-right.svg

Draft PointArray.svg Copie su punti

Posizione nel menu
Draft → Copie su punti
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.18
Vedere anche
Schiera, Copie su tracciato


Descrizione

Lo strumento Copie su punti posiziona le copie di una forma selezionata lungo vari punti selezionati.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign o Arch.

Per posizionare le copie in una schiera ortogonale usare Matrice; per posizionare le copie su un percorso, utilizzare Schiera su percorso; per creare copie o cloni e posizionarli manualmente, utilizzare Sposta, Ruota e Clona.

Draft PointArray Example.png

Oggetto duplicato in punti specifici


Utilizzo

  1. Selezionare un oggetto che si desidera distribuire.
  2. Selezionare un composto di punti.
  3. Premere il pulsante Draft PointArray.svg Copie su punti.

Per creare un composto punto seleziona vari Punti e poi premere il pulsante Draft Upgrade.svg Promuovi.

Ogni elemento dell'array è un clone esatto dell'oggetto originale, ma l'intero array è considerato una singola unità in termini di proprietà e aspetto.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Proprietà

  • DATABase: specifica l'oggetto da duplicare.
  • DATACount: (sola lettura) specifica il numero di copie dell'oggetto di base. Questo numero dipende dal numero di Punti nel composto.
  • DATAPointList: specifica l'oggetto composto con i punti necessari per posizionare le copie dell'oggetto di base.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento PointArray può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

PointArray = makePointArray(base, ptlst)
  • Crea un oggetto PointArray dall'oggetto base base, posizionando le copie sulla ptlst.
  • ptlst è un oggetto con gli attributi Geometry, Links, o Components che definisce la posizione delle copie.

Esempio:

import FreeCAD, Draft

Polygon = Draft.makePolygon(3, radius=500.0)

p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))

# Create a compound of points
addList, deleteList = Draft.upgrade([p1, p2, p3])

# Extract the compound from the list
compound = addList[0]

PointArray = Draft.makePointArray(Polygon, compound)
Arrow-left.svg Draft PathArray.svg Copie su tracciato Pagina precedente:
Pagina successiva: Clona Draft Clone.svg Arrow-right.svg